unit ListsMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, ToolWin, ImgList, ActnList;

type
  TListsForm = class(TForm)
    Panel1: TPanel;
    SrcList: TListView;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    Images: TImageList;
    Actions: TActionList;
    acMoveData: TAction;
    acClearData: TAction;
    StatusBar1: TStatusBar;
    Panel2: TPanel;
    DstList: TListView;
    DestTree: TTreeView;
    Splitter1: TSplitter;
    procedure acClearDataExecute(Sender: TObject);
    procedure acMoveDataExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ListsForm: TListsForm;

implementation

uses ListsClasses;

{$R *.DFM}

procedure TListsForm.acClearDataExecute(Sender: TObject);
begin
  DstList.Items.Clear;
end;

procedure TListsForm.acMoveDataExecute(Sender: TObject);
var
  Buffer : TNamedHCollection;
begin
  Buffer := TNamedHCollection.Create( TNamedHCollectionItem );
  Buffer.Assign(SrcList.Items);
  DstList.Items.Assign(Buffer);
  DestTree.Items.Assign(Buffer);
  Buffer.Clear;
end;

end.
